bm::is_lock_noexcept< T > Struct Template Reference

"noexcept" traits detection for T::lock() More...

`#include <bmtask.h>`

## Static Public Attributes

static constexpr bool | value = noexcept(std::declval<T>().lock())

## Detailed Description

template<typename T>
struct bm::is_lock_noexcept< T >

"noexcept" traits detection for T::lock()

Definition at line 212 of file bmtask.h.

## Field Documentation

## value

template<typename T>

bool bm::is_lock_noexcept< T >::value = noexcept(std::declval<T>().lock())

static constexpr

Definition at line 217 of file bmtask.h.

Referenced by bm::lock_guard< Lock >::lock_guard().

The documentation for this struct was generated from the following file:

- bmtask.h